<template>
  <b-icon v-if="name === 'max'"
                icon="award" />
  <star v-else :type="name" />
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';
import Star from '@/components/Star.vue';
import { StepNames } from './pages/Steps.vue';

@Component({
  components: { Star }
})
export default class UserScores extends Vue {
  @Prop(String) readonly name: StepNames;
}
</script>
